kernel Ayer mismo se publico la versión definitiva y oficial del kernel 3.17, la versión más moderna a día de hoy del Kernel Linux, el cual explicaremos como instalar en su versión normal y la de baja latencia.

Información útil:

¿Qué es y para que se usa el Kernel de baja latencia? (lowlatency)

¿Como eliminar los Kernels antiguos en Debian, Ubuntu y derivados?

¿Como eliminar los Kernels antiguos en Fedora y derivados?

Novedades:

En esta nueva versión de kernel nos podemos encontrar con novedades como:

  • Soporte para el control de la Xbox One
  • Sincronización entre dispositivos DMA-BUF
  • Soporte para las venideras portátiles de Toshiba
  • Soporte para Intel Braswell y Cherry Trail
  • Soporte para arranque EFI en sistemas Xen Dom0
  • Mejoras en los diferentes sistemas de archivos

Para más información visita el anuncio oficial: Anuncio kernel 3.17

Esta instalación es valida para Ubuntu, Mint y Debian para sistemas de 32 Bits, serían a través de una terminal con las siguientes ordenes, primero descargamos los paquetes:

Versión normal (32bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-headers-3.17.0-031700_3.17.0-031700.201410060605_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-headers-3.17.0-031700-generic_3.17.0-031700.201410060605_i386.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-image-3.17.0-031700-generic_3.17.0-031700.201410060605_i386.deb

Versión de baja latencia para el kernel (lowlatency) (32bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-headers-3.17.0-031700_3.17.0-031700.201410060605_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-headers-3.17.0-031700-lowlatency_3.17.0-031700.201410060605_i386.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-image-3.17.0-031700-lowlatency_3.17.0-031700.201410060605_i386.deb

Y finalmente, los instalamos con:

$ sudo dpkg -i linux-headers-3.17*.deb linux-image-3.17*.deb

Para su instalación en sistemas de 64 Bits, descargamos con:

Versión normal (64bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-headers-3.17.0-031700_3.17.0-031700.201410060605_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-headers-3.17.0-031700-generic_3.17.0-031700.201410060605_amd64.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-image-3.17.0-031700-generic_3.17.0-031700.201410060605_amd64.deb

Versión de baja latencia para el kernel (lowlatency) (64bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-headers-3.17.0-031700_3.17.0-031700.201410060605_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-headers-3.17.0-031700-lowlatency_3.17.0-031700.201410060605_amd64.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/linux-image-3.17.0-031700-lowlatency_3.17.0-031700.201410060605_amd64.deb

E instalamos también con:

$ sudo dpkg -i linux-headers-3.17*.deb linux-image-3.17*.deb

Reiniciamos el sistema, y seccionamos la versión con la que queramos iniciar en el GRUB o BURG.

Fuente: Kernel – Ubuntu.

10 COMENTARIOS

  1. Cuando instalo con este método el kernel… no se generan los kernel-source?
    Los busque pero no los encuentro….. tendre que compilar el kernel de la forma tradicional para poder obtenerlos?

    Gracias por sus respuestas

      • Te explicare un poco… yo segui este metodo para actyalizar mi kernel, trato de reinstalar el driver de mi tarjeta de sonido, pero al compilar este me dice que en el kernel source no ha encontrado una libreria. Y que debo colocar un prefix con la ruta del kernel actual, asi lo he hecho pero nada. Mi pregunta es cuando yo instalaba un kernel desde repositorios, podia instalar el kernel-source y el kernel-devel. Cuando instalo el kernel con las intrucciones desde este post, quiero saber como obtenerlos o generarlos ya que son kernels muy recientes y en los repositorios de ubuntu aun no estan disponibles.

    • Para los que usan ArchLinux o cualquier derivado de ellos ya sea Manjaro y demás no tiene sentido añadir sus comandos para instalarlo xD
      Pues por si no lo sabes los de arch y derivadas van a la ultima (algunas derivadas no, pero casi casi) para bien y para mal, por ello ya te salio la actualización por medio del gestor para actualizar 😉

    • Por lo que veo tu distribución es una derivada de Debian por lo que no deberías de tener problemas, de todas formas no borres el kernel actual que tienes, así si por casualidad te falla puedes elegir iniciar con otro kernel sin la menor complicación.

DEJA UNA RESPUESTA

Por favor, introduzca su comentario!
Por favor, introduzca su nombre aquí